
<div class="invoice-box">
        <table cellpadding="0" cellspacing="0">
          <tr class="top">
            <td colspan="4">
              <table>
                <tr>
                  <td class="title">
                    logo
                  </td>

                  <td>
                    Invoice #: <b><%= @invoice.id %></b>
                    <br>
                    Created: <b><%= @invoice.created_at.strftime('%d/%m/%Y') %></b>
                    <br>
                    Due: <b><%= (@invoice.created_at + 1.month).strftime('%d/%m/%Y') %></b>
                    <br>
                    Status: <span class="<%= @invoice.status_class %>"><%= @invoice.status %></span>
                  </td>
                </tr>
              </table>
            </td>
          </tr>

          <tr class="information">
            <td colspan="4">
              <table>
                <tr>
                  <td>
                    <b><%= @invoice.from_full_name %></b><br>
                    <%= @invoice.from_address %><br>
                    <i class="far fa-envelope"></i> <%= @invoice.from_email %><br>
                    <i class="fas fa-phone"></i> <%= @invoice.from_phone %>
                  </td>

                  <td>
                    <b><%= @invoice.to_full_name %></b><br>
                    <%= @invoice.to_address %><br>
                    <i class="far fa-envelope"></i> <%= @invoice.to_email %><br>
                    <i class="fas fa-phone"></i> <%= @invoice.to_phone %>
                  </td>
                </tr>
              </table>
            </td>
          </tr>

          <tr class="heading">
            <td>Payment Method</td>
            <td colspan="2"></td>
            <td class="right">Cache</td>
          </tr>

          <tr class="details">
            <td>Delivery Method</td>
            <td colspan="2"></td>
            <td class="right">1000</td>
          </tr>

          <tr class="heading">
            <td>Item</td>
            <td class="right">Price</td>
            <td class="right">Qty</td>
            <td>Total</td>
          </tr>

          <% @invoice.invoice_items.each do |invoice_item| %>
            <tr class="item">
                <td>
                    <%= invoice_item.name %><br>
                    <small><%= invoice_item.description %></small>
                </td>

                <td class="right">
                    <%= number_to_currency(invoice_item.price) %>
                </td>

                <td class="right">
                    x <%= invoice_item.qty %>
                </td>

                <td>
                    <%= number_to_currency(invoice_item.price * invoice_item.qty) %>
                </td>
            </tr>
          <% end %>

          <tr>
            <td colspan="4"></td>
          </tr>

          <tr>
            <td colspan="2"></td>
            <td><b>Subtotal</b></td>
            <td><%= number_to_currency(@invoice.subtotal) %></td>
          </tr>

          <tr>
            <td colspan="2"></td>
            <td><b>Discount (<%= @invoice.discount %>%)</b></td>
            <td>- <%= number_to_currency(@invoice.discount_calculated) %></td>
          </tr>

          <tr>
            <td colspan="2"></td>
            <td><b>VAT (<%= @invoice.vat %>%)</b></td>
            <td>+ <%= number_to_currency(@invoice.vat_calculated) %></td>
          </tr>

          <tr class="heading">
            <td colspan="2"></td>
            <td><b>TOTAL:</b></td>
            <td>
               <b><%= number_to_currency(@invoice.total) %></b>
            </td>
          </tr>
        </table>
    </div>
